<?php
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;

// Define the path to the PHPMailer directory
$phpmailerPath = __DIR__ . '/PHPMailer/PHPMailer/src/';

// Include the PHPMailer classes from the correct directory
require $phpmailerPath . 'Exception.php';
require $phpmailerPath . 'PHPMailer.php';
require $phpmailerPath . 'SMTP.php';

// Check if the request method is GET
if ($_SERVER["REQUEST_METHOD"] == "GET") {
    // Retrieve query parameters
    $senderName = isset($_GET["sender_name"]) ? $_GET["sender_name"] : '';
    $subject = isset($_GET["subject"]) ? $_GET["subject"] : '';
    $receiverEmail = isset($_GET["receiver_email"]) ? $_GET["receiver_email"] : '';
    $message = isset($_GET["message"]) ? $_GET["message"] : '';

    // Create a PHPMailer instance
    $mail = new PHPMailer(true);

    // Initialize response data
    $response = [
        'success' => false,
        'status' => 500,
        'error' => '',
        'sentTo' => []
    ];

    try {
        // Server settings (adjust as needed)
        $mail->isSMTP();
        $mail->Host       = 'deentime.app'; // Update to your SMTP server
        $mail->SMTPAuth   = true;
        $mail->Username   = 'info@deentime.app'; // Your SMTP username
        $mail->Password   = 'Shimul@8940BD??'; // Your SMTP password
        $mail->SMTPSecure = 'ssl';
        $mail->Port       = 465;

        // Content
        $mail->isHTML(true);
        $mail->Subject = $subject;
        $mail->Body    = $message;

        // Set the sender and receiver
        $mail->setFrom('info@deentime.app', $senderName);
        if (filter_var($receiverEmail, FILTER_VALIDATE_EMAIL)) {
            $mail->addAddress($receiverEmail);
            $mail->send();
            $response['sentTo'][] = $receiverEmail;
            $response['success'] = true;
            $response['status'] = 200;
        } else {
            $response['error'] = 'Invalid email address';
        }
    } catch (Exception $e) {
        // Log error
        $error_message = "Email could not be sent. Mailer Error: {$mail->ErrorInfo}";
        error_log($error_message, 3, 'error.log');

        // Failure response
        $response['error'] = $error_message;
    }

    // Output the result as JSON
    header('Content-Type: application/json');
    echo json_encode($response);
    exit();
}
?>
